## wxwidgets3.0 3.0.5.1+dfsg

=== debian/changelog ===
wxwidgets3.0 (3.0.5.1+dfsg-4) unstable; urgency=medium

  * Fix spin button sizing in wxPGSpinCtrlEditor

 -- Scott Talbert <swt@techie.net>  Thu, 24 Mar 2022 19:08:43 -0400

wxwidgets3.0 (3.0.5.1+dfsg-3) unstable; urgency=medium

  * Fix wxStandardPaths::GetDocumentsDir to not return a quoted string
    (Closes: #1000890)
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Mon, 27 Dec 2021 13:13:30 -0500
