=== debian/control ===
Source: wxwidgets3.0
Section: libs
Priority: optional
Build-Depends-indep: doxygen, graphviz
Build-Depends: debhelper-compat (= 12), gettext,
 g++ (>= 4:5.2),
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libexpat1-dev, dpkg-dev (>= 1.16.1~), libxt-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev, libwebkit2gtk-4.0-dev,
 libnotify-dev
Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
Uploaders: Olly Betts <olly@survex.com>, Scott Talbert <swt@techie.net>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/freewx-team/wx.git -b wx3.0-debian
Vcs-Browser: https://salsa.debian.org/freewx-team/wx/tree/wx3.0-debian
Homepage: https://www.wxwidgets.org/

Package: libwxbase3.0-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libwxbase3.0-0
Replaces: libwxbase3.0-0
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.0 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.0-dev
Architecture: any
Section: libdevel
Depends: wx3.0-headers (= ${source:Version}), libwxbase3.0-0v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Multi-Arch: same
Suggests: wx3.0-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxgtk3.0-gtk3-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.0-gtk3-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk3.0-gtk3-0v5 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
Multi-Arch: same
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk-media3.0-gtk3-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-x
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_media.

Package: libwxgtk-media3.0-gtk3-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-media3.0-gtk3-0v5 (= ${binary:Version}), libwxgtk3.0-gtk3-dev (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxMediaCtrl class.

Package: libwxgtk-webview3.0-gtk3-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_webview.

Package: libwxgtk-webview3.0-gtk3-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-webview3.0-gtk3-0v5 (= ${binary:Version}), libwxgtk3.0-gtk3-dev (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxWebView class.

Package: wx-common
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.0-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.0-i18n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.0-examples
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.0-gtk3-dev, wx3.0-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: wx3.0-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base, www-browser
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a HTML version of the wxWidgets reference manual.
